Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 666072 - sys-cluster/slurm: Validate DEPEND on virtual/mysql
Summary: sys-cluster/slurm: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Alexey Shvetsov
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:37 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:37:10 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2019-07-08 19:35:35 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d21a20c69d563695edb1d5ad687dd72184dcfa2a

commit d21a20c69d563695edb1d5ad687dd72184dcfa2a
Author:     Justin Lecher <jlec@gentoo.org>
AuthorDate: 2019-07-07 17:49:08 +0000
Commit:     Justin Lecher <jlec@gentoo.org>
CommitDate: 2019-07-08 19:35:26 +0000

    sys-cluster/slurm: Version Bump
    
    Clean mysql deps
    Install torque wrapper correctly
    
    Closes: https://bugs.gentoo.org/666102
    Closes: https://bugs.gentoo.org/676916
    Closes: https://bugs.gentoo.org/666072
    Closes: https://bugs.gentoo.org/506706
    Package-Manager: Portage-2.3.68, Repoman-2.3.16
    Signed-off-by: Justin Lecher <jlec@gentoo.org>

 sys-cluster/slurm/Manifest                                    |  4 ++--
 ...sable-sview.patch => slurm-17.11.13.2-disable-sview.patch} |  0
 ...-disable-sview.patch => slurm-18.08.7-disable-sview.patch} |  0
 sys-cluster/slurm/metadata.xml                                |  1 +
 .../slurm/{slurm-17.11.12.ebuild => slurm-17.11.13.2.ebuild}  | 11 ++++++++---
 .../slurm/{slurm-18.08.3-r1.ebuild => slurm-18.08.7.ebuild}   |  9 ++++++---
 6 files changed, 17 insertions(+), 8 deletions(-)